Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodebranchdata
Class NewTextLabelAdapter

    java.lang.Object
      info.bioinfweb.treegraph.document.nodebranchdata.AbstractNodeBranchDataAdapter
          info.bioinfweb.treegraph.document.nodebranchdata.TextElementDataAdapter
              info.bioinfweb.treegraph.document.nodebranchdata.AbstractIDElementAdapter
                  info.bioinfweb.treegraph.document.nodebranchdata.TextLabelAdapter
                      info.bioinfweb.treegraph.document.nodebranchdata.NewTextLabelAdapter

All Implemented Interfaces:
  IDElementAdapter, NewNodeDataAdapter, NodeBranchDataAdapter

    public class NewTextLabelAdapter

extends TextLabelAdapter
implements NewNodeDataAdapter

Creates a new group of labels.

Author:
  Ben Stöver

Field Summary

Fields inherited from class info.bioinfweb.treegraph.document.nodebranchdata.AbstractIDElementAdapter
`id`

Constructor Summary
`NewTextLabelAdapter()`

Method Summary
`boolean` | `isNewColumn()`
`void` | `setID(String labelID)` Sets the ID used to access the returned data.
`String` | `toString()` A description of the adapter that is readable by the user should be returned here.

Methods inherited from class info.bioinfweb.treegraph.document.nodebranchdata.TextLabelAdapter
`assignData, createData, delete, getData, getDataElement, getDecimalFormat`

Methods inherited from class info.bioinfweb.treegraph.document.nodebranchdata.AbstractIDElementAdapter
`equals, getID, readOnly`

Methods inherited from class info.bioinfweb.treegraph.document.nodebranchdata.TextElementDataAdapter
`decimalOnly, getDecimal, getText, isDecimal, isEmpty, isString, setDecimal, setText, setType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.nodebranchdata.IDElementAdapter
`getID`

Methods inherited from interface info.bioinfweb.treegraph.document.nodebranchdata.NodeBranchDataAdapter
`decimalOnly, delete, getDataElement, getDecimal, getText, isDecimal, isEmpty, isString, readOnly, setDecimal, setText`

Constructor Detail

### NewTextLabelAdapter

    public NewTextLabelAdapter()

Method Detail

### isNewColumn

    public boolean isNewColumn()

  Specified by:
    `isNewColumn` in interface `NodeBranchDataAdapter`
  Overrides:
    `isNewColumn` in class `AbstractIDElementAdapter`

### setID

    public void setID(String labelID)

  Description copied from interface: `IDElementAdapter`
  Sets the ID used to access the returned data.

  Specified by:
    `setID` in interface `IDElementAdapter`
  Specified by:
    `setID` in interface `NewNodeDataAdapter`
  Overrides:
    `setID` in class `AbstractIDElementAdapter`
  Parameters:
    `labelID` - the new ID

### toString

    public String toString()

  Description copied from interface: `NodeBranchDataAdapter`
  A description of the adapter that is readable by the user should be returned here.

  Specified by:
    `toString` in interface `NodeBranchDataAdapter`
  Overrides:
    `toString` in class `TextLabelAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD